Mercurial > repos > galaxy-australia > alphafold2
comparison scripts/download_pdb_seqres.sh @ 0:7ae9d78b06f5 draft
"planemo upload for repository https://github.com/usegalaxy-au/galaxy-local-tools commit 7b79778448363aa8c9b14604337e81009e461bd2-dirty"
author | galaxy-australia |
---|---|
date | Fri, 28 Jan 2022 04:56:29 +0000 |
parents | |
children |
comparison
equal
deleted
inserted
replaced
-1:000000000000 | 0:7ae9d78b06f5 |
---|---|
1 #!/bin/bash | |
2 # | |
3 # Copyright 2021 DeepMind Technologies Limited | |
4 # | |
5 # Licensed under the Apache License, Version 2.0 (the "License"); | |
6 # you may not use this file except in compliance with the License. | |
7 # You may obtain a copy of the License at | |
8 # | |
9 # http://www.apache.org/licenses/LICENSE-2.0 | |
10 # | |
11 # Unless required by applicable law or agreed to in writing, software | |
12 # distributed under the License is distributed on an "AS IS" BASIS, | |
13 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. | |
14 # See the License for the specific language governing permissions and | |
15 # limitations under the License. | |
16 # | |
17 # Downloads and unzips the PDB SeqRes database for AlphaFold. | |
18 # | |
19 # Usage: bash download_pdb_seqres.sh /path/to/download/directory | |
20 set -e | |
21 | |
22 if [[ $# -eq 0 ]]; then | |
23 echo "Error: download directory must be provided as an input argument." | |
24 exit 1 | |
25 fi | |
26 | |
27 if ! command -v aria2c &> /dev/null ; then | |
28 echo "Error: aria2c could not be found. Please install aria2c (sudo apt install aria2)." | |
29 exit 1 | |
30 fi | |
31 | |
32 DOWNLOAD_DIR="$1" | |
33 ROOT_DIR="${DOWNLOAD_DIR}/pdb_seqres" | |
34 SOURCE_URL="ftp://ftp.wwpdb.org/pub/pdb/derived_data/pdb_seqres.txt" | |
35 BASENAME=$(basename "${SOURCE_URL}") | |
36 | |
37 mkdir --parents "${ROOT_DIR}" | |
38 aria2c "${SOURCE_URL}" --dir="${ROOT_DIR}" |